Bug 1493207 - Add miq_provision_quota_mixin to Service Template Provision Request service model.
Summary: Add miq_provision_quota_mixin to Service Template Provision Request service m...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.2
Assignee: Tina Fitzgerald
QA Contact: Milan Falešník
URL:
Whiteboard:
Depends On: 1491409
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-19 15:14 UTC by Satoe Imaishi
Modified: 2017-10-24 00:41 UTC (History)
6 users (show)

Fixed In Version: 5.8.2.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1491409
Environment:
Last Closed: 2017-10-24 00:41:44 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-09-19 15:16:29 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/1bc5eb462244e74babd3eadea088be3650316438

commit 1bc5eb462244e74babd3eadea088be3650316438
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Thu Sep 14 16:01:47 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Sep 19 11:15:27 2017 -0400

    Merge pull request #69 from tinaafitz/add_quota_mixin
    
    Add missing service model change for calculating active quota counts for Service requests.
    (cherry picked from commit ca32a7918cd0e9a5664e5eb4b44d9b11458037e6)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1493207

 .../miq_ae_service_service_template_provision_request.rb               | 3 +++
 1 file changed, 3 insertions(+)

Comment 3 Milan Falešník 2017-10-03 11:52:18 UTC
Verified in 5.8.2.1:

irb(main):004:0> request = $evm.vmdb(:miq_request).all.first
=> #<MiqAeServiceServiceTemplateProvisionRequest:0x5b83e2c ...>
irb(main):005:0> request.check_quota(:active_provisions_by_tenant)
=> {:count=>0, :memory=>0, :cpu=>0, :storage=>0, :ids=>[], :class_name=>"MiqProvisionRequest", :active=>{:class_name=>"MiqProvision", :ids=>[], :storage_by_id=>{}, :memory_by_host_id=>{}, :cpu_by_host_id=>{}, :vms_by_storage_id=>{}}}

Comment 5 errata-xmlrpc 2017-10-24 00:41:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.